---
updatedAt: 2026-11-05T22:16:37.000Z
agentTools:
  siteIndex: https://developer-docs.amazon/llms.txt
  projectIndex: https://developer-docs.amazon/sp-api/llms.txt
---

# Finances API v2024-06-19 Reference

Retrieve financial information for a selling business.

<a name="overview"></a>

The Selling Partner API for Finances provides financial information relevant to a seller's business. You can obtain financial events for a given order or date range without having to wait until a statement period closes.

### Version information

*Version* : 2024-06-19

### Contact information

*Contact* : Selling Partner API Developer Support
*Contact URL* : <https://sellercentral.amazon.com/gp/mws/contactus.html>

### License information

*License* : Apache License 2.0
*License URL* : <http://www.apache.org/licenses/LICENSE-2.0>

### URI scheme

*Host* : sellingpartnerapi-na.amazon.com
*Schemes* : HTTPS

### Consumes

* `application/json`

### Produces

* `application/json`

### Operations

[listTransactions](#listtransactions)<br>[listBalances](#listbalances)<br>[listSummary](#listsummary)<br> <a name="paths"></a>

## Paths

<a name="listtransactions"></a>

### listTransactions

```
GET /finances/2024-06-19/transactions
```

**Operation: listTransactions**

#### Description

Returns transactions for the given parameters. Financial events might not include orders from the last 48 hours. **Note:** If you want to retrieve MFN orders in the US store, do not supply the `marketplaceId` parameter.

**Usage plan:**

| Rate (requests per second) | Burst |
| -------------------------- | ----- |
| 0.5                        | 10    |

The `x-amzn-RateLimit-Limit` response header returns the usage plan rate limits that were applied to the requested operation, when available. The preceding table contains the default rate and burst values for this operation. Selling partners whose business demands require higher throughput may have higher rate and burst values than those shown here. For more information, refer to [Usage Plans and Rate Limits](https://developer-docs.amazon.com/sp-api/docs/usage-plans-and-rate-limits).

> ❗️ To view the response
>
> The response to this operation cannot be displayed in this reference because of technical issues. For this operation's response schema, refer to [`listTransactions`](https://developer-docs.amazon.com/sp-api/docs/finances-api-v2024-06-19-reference#listtransactions).

#### Parameters

| Type      | Name                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Schema             |
| --------- | ------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------ |
| **Query** | **postedAfter**  <br>*optional*            | The response includes financial events posted on or after this date. This date must be in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date-time format. The date-time must be more than two minutes before the time of the request.<br><br>This field is required if you do not specify a related identifier.                                                                                                                                                                                                                                                                                                            | string (date-time) |
| **Query** | **postedBefore**  <br>*optional*           | The response includes financial events posted before (but not on) this date. This date must be in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date-time format.<br><br>The date-time must be later than `PostedAfter` and more than two minutes before the request was submitted. If `PostedAfter` and `PostedBefore` are more than 180 days apart, the response is empty.<br><br>**Default:** Two minutes before the time of the request.                                                                                                                                                                               | string (date-time) |
| **Query** | **marketplaceId**  <br>*optional*          | The identifier of the marketplace from which you want to retrieve transactions. The marketplace ID is the globally unique identifier of a marketplace. To find the ID for a marketplace, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids).                                                                                                                                                                                                                                                                                                                                                             | string             |
| **Query** | **transactionStatus**  <br>*optional*      | The status of the transaction.<br><br>**Possible values:**<br><br><li> `DEFERRED`: the transaction is currently deferred.</li><br><li> `RELEASED`: the transaction is currently released.</li><br><li> `DEFERRED_RELEASED`: the transaction was deferred in the past, but is now released. The status of a deferred transaction is updated to `DEFERRED_RELEASED` when the transaction is released.</li>                                                                                                                                                                                                                                        | string             |
| **Query** | **relatedIdentifierName**  <br>*optional*  | The name of the `relatedIdentifier`.<br><br>**Possible values:**<br><br><li> `FINANCIAL_EVENT_GROUP_ID`: the financial event group ID associated with the transaction.</li><br><li> `ORDER_ID`: the order ID associated with the transaction.</li><br><li> `SETTLEMENT_ID`: the settlement group ID associated with the transaction.  </li><br><br>**Note:**<br><br>`FINANCIAL_EVENT_GROUP_ID`, `ORDER_ID`, and `SETTLEMENT_ID` are the only `relatedIdentifier` with filtering capabilities at the moment. While other `relatedIdentifier` values will be included in the response when available, they cannot be used for filtering purposes. | string             |
| **Query** | **relatedIdentifierValue**  <br>*optional* | The value of the `relatedIdentifier`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | string             |
| **Query** | **nextToken**  <br>*optional*              | The response includes `nextToken` when the number of results exceeds the specified `pageSize` value. To get the next page of results, call the operation with this token and include the same arguments as the call that produced the token. To get a complete list, call this operation until `nextToken` is null. Note that this operation can return empty pages.                                                                                                                                                                                                                                                                            | string             |

#### Responses

| HTTP Code | Description                                                                                                                                                                                             | Schema                                                |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------- |
| **200**   | Success.  <br>**Headers** :   <br>`x-amzn-RateLimit-Limit` (string) : Your rate limit (requests per second) for this operation.  <br>`x-amzn-RequestId` (string) : Unique request reference identifier. | [ListTransactionsResponse](#listtransactionsresponse) |

For error status codes, descriptions and schemas, see [Error responses and schemas](#error-responses-and-schemas). <a name="listbalances"></a>

### listBalances

```
GET /finances/2024-06-19/balances
```

**Operation: listBalances**

#### Description

Retrieve a balance. This balance can be a past balances at a specified date, or a current balance. Sub-balances are listed by account type and marketplace.

**Usage Plan:**

| Rate (requests per second) | Burst |
| -------------------------- | ----- |
| 0.5                        | 10    |

The `x-amzn-RateLimit-Limit` response header returns the usage plan rate limits that apply to the operation, when available. The preceding table indicates the default rate and burst values for this operation. Selling partners whose business demands require higher throughput may have higher rate and burst values than those shown here. For more information, refer to [Usage Plans and Rate Limits in the Selling Partner API](https://developer-docs.amazon.com/sp-api/docs/usage-plans-and-rate-limits-in-the-sp-api).

#### Parameters

| Type      | Name                               | Description                                                                                                                                                                                                                                                                                                                                                                           | Schema           |
| --------- | ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| **Query** | **marketplaceIds**  <br>*optional* | The marketplaces from which to retrieve balances. If omitted, balances from all applicable marketplaces may be returned. To find the marketplace ID for a region, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids).                                                                                                                          | < string > array |
| **Query** | **balanceType**  <br>*optional*    | The type of balance to include in the response. If omitted, all balance types may be included in the response.<br><br>**Possible values:** `AVAILABLE`, `RESERVED`, `TOTAL`, `DEFERRED`, `ACCOUNT_LEVEL_RESERVE`                                                                                                                                                                      | string           |
| **Query** | **accountType**  <br>*optional*    | The type of account to include in the response.                                                                                                                                                                                                                                                                                                                                       | string           |
| **Query** | **asOfDate**  <br>*optional*       | The date from which you want to retrieve balances. If provided, the response includes historical balances at the specified date. The value must be in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date format. If omitted, the point in time balance is provided.                                                                                              | string (date)    |
| **Query** | **nextToken**  <br>*optional*      | A token that you use to retrieve subsequent pages of results. When there are more than 500 results available, the response will include a `nextToken` value. To get the next page of results, call the operation with this token and include the same arguments as the call that produced the token. Repeat this process until the `nextToken` value is null to retrieve all results. | string           |

#### Responses

| HTTP Code | Description                                                                                                                                                                                             | Schema                                        |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------- |
| **200**   | Success.  <br>**Headers** :   <br>`x-amzn-RateLimit-Limit` (string) : Your rate limit (requests per second) for this operation.  <br>`x-amzn-RequestId` (string) : Unique request reference identifier. | [ListBalancesResponse](#listbalancesresponse) |

For error status codes, descriptions and schemas, see [Error responses and schemas](#error-responses-and-schemas). <a name="listsummary"></a>

### listSummary

```
GET /finances/2024-06-19/summary
```

**Operation: listSummary**

#### Description

Retrieve the financial summary for the specified time period or settlement period.

**Usage Plan:**

| Rate (requests per second) | Burst |
| -------------------------- | ----- |
| 0.5                        | 10    |

The `x-amzn-RateLimit-Limit` response header returns the usage plan rate limits that apply to the operation, when available. The preceding table indicates the default rate and burst values for this operation. Selling partners whose business demands require higher throughput may have higher rate and burst values than those shown here. For more information, refer to [Usage Plans and Rate Limits in the Selling Partner API](https://developer-docs.amazon.com/sp-api/docs/usage-plans-and-rate-limits-in-the-sp-api).

#### Parameters

| Type      | Name                                       | Description                                                                                                                                                                                                                                                                                                                                                                  | Schema           |
| --------- | ------------------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| **Query** | **marketplaceIds**  <br>*optional*         | The marketplaces from which to retrieve summaries. If omitted, summaries from all applicable marketplaces may be returned. To find the marketplace ID for a region, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids).                                                                                                               | < string > array |
| **Query** | **accountType**  <br>*optional*            | The type of account to include in the response.                                                                                                                                                                                                                                                                                                                              | string           |
| **Query** | **relatedIdentifierName**  <br>*optional*  | The name of the `relatedIdentifier`. The only possible value is `SETTLEMENT_ID`, the settlement ID associated with the summary.                                                                                                                                                                                                                                              | string           |
| **Query** | **relatedIdentifierValue**  <br>*optional* | The value of the `relatedIdentifier`.                                                                                                                                                                                                                                                                                                                                        | string           |
| **Query** | **periodStart**  <br>*optional*            | The start of the period for which to retrieve summaries. When provided, the response will only include summaries with transactions that occurred on or after the specified date. The value must be formatted in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date format.                                                                              | string (date)    |
| **Query** | **periodEnd**  <br>*optional*              | The end of the period for which to retrieve summaries. When provided, the response will only include summaries with transactions that occurred on or before the specified date. The value must be formatted in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date format.                                                                               | string (date)    |
| **Query** | **nextToken**  <br>*optional*              | A token that you use to retrieve subsequent pages of results. When there are more results available, the response will include a `nextToken` value. To get the next page of results, call the operation with this token and include the same arguments as the call that produced the token. Repeat this process until the `nextToken` value is null to retrieve all results. | string           |

#### Responses

| HTTP Code | Description                                                                                                                                                                                             | Schema                              |
| --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------- |
| **200**   | Success.  <br>**Headers** :   <br>`x-amzn-RateLimit-Limit` (string) : Your rate limit (requests per second) for this operation.  <br>`x-amzn-RequestId` (string) : Unique request reference identifier. | [SummaryResponse](#summaryresponse) |

For error status codes, descriptions and schemas, see [Error responses and schemas](#error-responses-and-schemas).

<a name="error-responses-and-schemas"></a>

### Error Responses and Schemas

This table contains HTTP status codes and associated information for error responses.

| HTTP Code | Description                                                                                                                                                                                                                                              | Schema                  |
| --------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- |
| **400**   | Request has missing or invalid parameters and cannot be parsed.  <br>**Headers**:  <br>`x-amzn-RateLimit-Limit` (string):Your rate limit (requests per second) for this operation.  <br>`x-amzn-RequestId` (string):Unique request reference identifier. | [ErrorList](#errorlist) |
| **403**   | Indicates that access to the resource is forbidden. Possible reasons include Access Denied, Unauthorized, Expired Token, or Invalid Signature.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                   | [ErrorList](#errorlist) |
| **404**   | The resource specified does not exist.  <br>**Headers**:  <br>`x-amzn-RateLimit-Limit` (string):Your rate limit (requests per second) for this operation.  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                          | [ErrorList](#errorlist) |
| **413**   | The request size exceeded the maximum accepted size.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                                                                                                             | [ErrorList](#errorlist) |
| **415**   | The request payload is in an unsupported format.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                                                                                                                 | [ErrorList](#errorlist) |
| **429**   | The frequency of requests was greater than allowed.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                                                                                                              | [ErrorList](#errorlist) |
| **500**   | An unexpected condition occurred that prevented the server from fulfilling the request.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                                                                          | [ErrorList](#errorlist) |
| **503**   | Temporary overloading or maintenance of the server.  <br>**Headers**:  <br>`x-amzn-RequestId` (string):Unique request reference identifier.                                                                                                              | [ErrorList](#errorlist) |

<a name="definitions"></a>

## Definitions

<a name="listtransactionsresponse"></a>

### ListTransactionsResponse

The response to the `listTransactions` operation.

| Name                        | Description                                       | Schema                                      |
| --------------------------- | ------------------------------------------------- | ------------------------------------------- |
| **payload**  <br>*optional* | The payload for the `listTransactions` operation. | [TransactionsPayload](#transactionspayload) |

<a name="transactionspayload"></a>

### TransactionsPayload

The payload for the `listTransactions` operation.

| Name                             | Description                                                                                                                                                                                                                                                                                                                                                          | Schema                        |
| -------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **nextToken**  <br>*optional*    | The response includes `nextToken` when the number of results exceeds the specified `pageSize` value. To get the next page of results, call the operation with this token and include the same arguments as the call that produced the token. To get a complete list, call this operation until `nextToken` is null. Note that this operation can return empty pages. | string                        |
| **transactions**  <br>*optional* | A list of transactions within the specified time period.                                                                                                                                                                                                                                                                                                             | [Transactions](#transactions) |

<a name="transactions"></a>

### Transactions

A list of transactions within the specified time period.

*Type* : < [Transaction](#transaction) > array

<a name="transaction"></a>

### Transaction

All the information related to a transaction.

| Name                                       | Description                                                                                                                                                                                                                                                                                                                                                                                              | Schema                                            |
| ------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------- |
| **sellingPartnerMetadata**  <br>*optional* | Metadata that describes the seller.                                                                                                                                                                                                                                                                                                                                                                      | [SellingPartnerMetadata](#sellingpartnermetadata) |
| **relatedIdentifiers**  <br>*optional*     | Identifiers related to the transaction, such as order and shipment IDs.                                                                                                                                                                                                                                                                                                                                  | [RelatedIdentifiers](#relatedidentifiers)         |
| **transactionType**  <br>*optional*        | The type of transaction.<br><br>**Possible value:** `Shipment`                                                                                                                                                                                                                                                                                                                                           | string                                            |
| **transactionId**  <br>*optional*          | The unique identifier of the transaction.                                                                                                                                                                                                                                                                                                                                                                | string                                            |
| **transactionStatus**  <br>*optional*      | The status of the transaction.<br><br>**Possible values:**<br><br><li> `DEFERRED`: the transaction is currently deferred.</li><br><li> `RELEASED`: the transaction is currently released.</li><br><li> `DEFERRED_RELEASED`: the transaction was deferred in the past, but is now released. The status of a deferred transaction is updated to `DEFERRED_RELEASED` when the transaction is released.</li> | string                                            |
| **description**  <br>*optional*            | Describes the reasons for the transaction.<br><br>**Example:** `Order Payment`, `Refund Order`                                                                                                                                                                                                                                                                                                           | string                                            |
| **postedDate**  <br>*optional*             | The date and time when the transaction was posted.                                                                                                                                                                                                                                                                                                                                                       | [Date](#date)                                     |
| **totalAmount**  <br>*optional*            | The total amount of money in the transaction.                                                                                                                                                                                                                                                                                                                                                            | [Currency](#currency)                             |
| **marketplaceDetails**  <br>*optional*     | Information about the marketplace where the transaction occurred.                                                                                                                                                                                                                                                                                                                                        | [MarketplaceDetails](#marketplacedetails)         |
| **items**  <br>*optional*                  | Additional information about the items in the transaction.                                                                                                                                                                                                                                                                                                                                               | [Items](#items)                                   |
| **contexts**  <br>*optional*               | Additional Information about the transaction.                                                                                                                                                                                                                                                                                                                                                            | [Contexts](#contexts)                             |
| **breakdowns**  <br>*optional*             | A list of breakdowns that detail how the total amount is calculated for the transaction.                                                                                                                                                                                                                                                                                                                 | < [Breakdown](#breakdown) > array                 |

<a name="bigdecimal"></a>

### BigDecimal

A signed decimal number.

*Type* : number

<a name="currency"></a>

### Currency

A currency type and amount.

| Name                               | Description                                       | Schema                    |
| ---------------------------------- | ------------------------------------------------- | ------------------------- |
| **currencyCode**  <br>*optional*   | The three-digit currency code in ISO 4217 format. | string                    |
| **currencyAmount**  <br>*optional* | The monetary value.                               | [BigDecimal](#bigdecimal) |

<a name="sellingpartnermetadata"></a>

### SellingPartnerMetadata

Metadata that describes the seller.

| Name                                 | Description                                                                                                                                                                                                                                                           | Schema |
| ------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| **sellingPartnerId**  <br>*optional* | The unique seller identifier.                                                                                                                                                                                                                                         | string |
| **accountType**  <br>*optional*      | The type of account in the transaction.                                                                                                                                                                                                                               | string |
| **marketplaceId**  <br>*optional*    | The identifier of the marketplace where the transaction occurred. The marketplace ID is the globally unique identifier of a marketplace. To find the ID for a marketplace, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids). | string |

<a name="relatedidentifier"></a>

### RelatedIdentifier

Related business identifier of the transaction.

| Name                                       | Description                                             | Schema                                                 |
| ------------------------------------------ | ------------------------------------------------------- | ------------------------------------------------------ |
| **relatedIdentifierName**  <br>*optional*  | An enumerated set of related business identifier names. | enum ([RelatedIdentifierName](#relatedidentifiername)) |
| **relatedIdentifierValue**  <br>*optional* | Corresponding value of `RelatedIdentifierName`.         | string                                                 |

<a name="relatedidentifiers"></a>

### RelatedIdentifiers

Related business identifiers of the transaction.

*Type* : < [RelatedIdentifier](#relatedidentifier) > array

<a name="date"></a>

### Date

A date in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date-time format.

*Type* : string (date-time)

<a name="marketplacedetails"></a>

### MarketplaceDetails

Information about the marketplace where the transaction occurred.

| Name                                | Description                                                                                                                                                                                                                                                           | Schema |
| ----------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| **marketplaceId**  <br>*optional*   | The identifier of the marketplace where the transaction occurred. The marketplace ID is the globally unique identifier of a marketplace. To find the ID for a marketplace, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids). | string |
| **marketplaceName**  <br>*optional* | The name of the marketplace where the transaction occurred. For example: `Amazon.com`,`Amazon.in`                                                                                                                                                                     | string |

<a name="items"></a>

### Items

A list of items in the transaction.

*Type* : < [Item](#item) > array

<a name="item"></a>

### Item

Additional information about an item in a transaction.

| Name                                   | Description                                                                              | Schema                                            |
| -------------------------------------- | ---------------------------------------------------------------------------------------- | ------------------------------------------------- |
| **description**  <br>*optional*        | A description of the items in a transaction.                                             | string                                            |
| **relatedIdentifiers**  <br>*optional* | Related business identifiers of the item.                                                | [ItemRelatedIdentifiers](#itemrelatedidentifiers) |
| **totalAmount**  <br>*optional*        | The total monetary amount of the item.                                                   | [Currency](#currency)                             |
| **breakdowns**  <br>*optional*         | A list of breakdowns that detail how the total amount is calculated for the transaction. | < [Breakdown](#breakdown) > array                 |
| **contexts**  <br>*optional*           | Additional Information about the item.                                                   | [Contexts](#contexts)                             |

<a name="itemrelatedidentifier"></a>

### ItemRelatedIdentifier

Related business identifiers of the item.

| Name                                           | Description                                                   | Schema                                                         |
| ---------------------------------------------- | ------------------------------------------------------------- | -------------------------------------------------------------- |
| **itemRelatedIdentifierName**  <br>*optional*  | Enumerated set of related item identifier names for the item. | enum ([ItemRelatedIdentifierName](#itemrelatedidentifiername)) |
| **itemRelatedIdentifierValue**  <br>*optional* | Corresponding value to `ItemRelatedIdentifierName`.           | string                                                         |

<a name="itemrelatedidentifiers"></a>

### ItemRelatedIdentifiers

Related business identifiers of the item in the transaction.

*Type* : < [ItemRelatedIdentifier](#itemrelatedidentifier) > array

<a name="breakdowns"></a>

### Breakdowns

A list of breakdowns that detail how the total amount is calculated for the transaction.

*Type* : < [Breakdown](#breakdown) > array

<a name="breakdown"></a>

### Breakdown

Details about the movement of money in the financial transaction.

| Name                                | Description                                                                              | Schema                            |
| ----------------------------------- | ---------------------------------------------------------------------------------------- | --------------------------------- |
| **breakdownType**  <br>*optional*   | The type of charge.                                                                      | string                            |
| **breakdownAmount**  <br>*optional* | The monetary amount of the charge.                                                       | [Currency](#currency)             |
| **breakdowns**  <br>*optional*      | A list of breakdowns that detail how the total amount is calculated for the transaction. | < [Breakdown](#breakdown) > array |

<a name="contexts"></a>

### Contexts

A list of additional information about the item.

*Type* : < [Context](#context) > array

<a name="context"></a>

### Context

Additional information about the item.

*Polymorphism* : Composition

| Name                                   | Description                                                                                                                | Schema                         |
| -------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- | ------------------------------ |
| **contextType**  <br>*required*        | The type of context.                                                                                                       | string                         |
| **storeName**  <br>*optional*          | The store name associated with the transaction.                                                                            | enum ([StoreName](#storename)) |
| **orderType**  <br>*optional*          | The order type of the transaction.                                                                                         | string                         |
| **channel**  <br>*optional*            | The channel of the transaction. For example: `MFN`.                                                                        | string                         |
| **asin**  <br>*optional*               | The Amazon Standard Identification Number (ASIN) of the item.                                                              | string                         |
| **sku**  <br>*optional*                | The Stock Keeping Unit (SKU) of the item.                                                                                  | string                         |
| **quantityShipped**  <br>*optional*    | The quantity of the item shipped.                                                                                          | integer (int32)                |
| **fulfillmentNetwork**  <br>*optional* | The fulfillment network of the item.                                                                                       | string                         |
| **paymentType**  <br>*optional*        | The type of payment.                                                                                                       | string                         |
| **paymentMethod**  <br>*optional*      | The method of payment.                                                                                                     | string                         |
| **paymentReference**  <br>*optional*   | The reference number of the payment.                                                                                       | string                         |
| **paymentDate**  <br>*optional*        | The date of the payment.                                                                                                   | [Date](#date)                  |
| **deferralReason**  <br>*optional*     | The deferral policy applied to the transaction.<br><br>**Examples:** `B2B` (invoiced orders), `DD7` (delivery date policy) | string                         |
| **maturityDate**  <br>*optional*       | The release date of the transaction.                                                                                       | [Date](#date)                  |
| **startTime**  <br>*optional*          | The start time of the transaction.                                                                                         | [Date](#date)                  |
| **endTime**  <br>*optional*            | The end time of the transaction.                                                                                           | [Date](#date)                  |

<a name="productcontext"></a>

### ProductContext

Additional information related to the product.

| Name                                   | Description                                                   | Schema          |
| -------------------------------------- | ------------------------------------------------------------- | --------------- |
| **asin**  <br>*optional*               | The Amazon Standard Identification Number (ASIN) of the item. | string          |
| **sku**  <br>*optional*                | The Stock Keeping Unit (SKU) of the item.                     | string          |
| **quantityShipped**  <br>*optional*    | The quantity of the item shipped.                             | integer (int32) |
| **fulfillmentNetwork**  <br>*optional* | The fulfillment network of the item.                          | string          |

<a name="amazonpaycontext"></a>

### AmazonPayContext

Additional information related to Amazon Pay.

| Name                          | Description                                               | Schema |
| ----------------------------- | --------------------------------------------------------- | ------ |
| **storeName**  <br>*optional* | The name of the store that is related to the transaction. | string |
| **orderType**  <br>*optional* | The order type of the transaction.                        | string |
| **channel**  <br>*optional*   | The channel of the transaction. For example: `MFN`.       | string |

<a name="paymentscontext"></a>

### PaymentsContext

Additional information related to payments-related transactions.

| Name                                 | Description                          | Schema        |
| ------------------------------------ | ------------------------------------ | ------------- |
| **paymentType**  <br>*optional*      | The type of payment.                 | string        |
| **paymentMethod**  <br>*optional*    | The method of payment.               | string        |
| **paymentReference**  <br>*optional* | The reference number of the payment. | string        |
| **paymentDate**  <br>*optional*      | The date of the payment.             | [Date](#date) |

<a name="deferredcontext"></a>

### DeferredContext

Additional information related to deferred transactions.

| Name                               | Description                                                                                                                | Schema        |
| ---------------------------------- | -------------------------------------------------------------------------------------------------------------------------- | ------------- |
| **deferralReason**  <br>*optional* | The deferral policy applied to the transaction.<br><br>**Examples:** `B2B` (invoiced orders), `DD7` (delivery date policy) | string        |
| **maturityDate**  <br>*optional*   | The release date of the transaction.                                                                                       | [Date](#date) |

<a name="businesscontext"></a>

### BusinessContext

Information about the line of business associated with a transaction.

| Name                          | Description                                     | Schema                         |
| ----------------------------- | ----------------------------------------------- | ------------------------------ |
| **storeName**  <br>*optional* | The store name associated with the transaction. | enum ([StoreName](#storename)) |

<a name="timerangecontext"></a>

### TimeRangeContext

Additional information that is related to the time range of the transaction.

| Name                          | Description                        | Schema        |
| ----------------------------- | ---------------------------------- | ------------- |
| **startTime**  <br>*optional* | The start time of the transaction. | [Date](#date) |
| **endTime**  <br>*optional*   | The end time of the transaction.   | [Date](#date) |

<a name="listbalancesresponse"></a>

### ListBalancesResponse

The response to the `listBalances` operation.

| Name                          | Description                                                                           | Schema                |
| ----------------------------- | ------------------------------------------------------------------------------------- | --------------------- |
| **balances**  <br>*optional*  | A list of balances.                                                                   | [Balances](#balances) |
| **nextToken**  <br>*optional* | A token to retrieve the next page of results. If null, no more results are available. | string                |

<a name="balances"></a>

### Balances

A list of balances.

*Type* : < [Balance](#balance) > array

<a name="balance"></a>

### Balance

All information relevant to a balance.

| Name                                | Description                                                                                                                                                                                                                                                                                                                                | Schema                              |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------- |
| **partnerMetadata**  <br>*optional* | Metadata describing the seller.                                                                                                                                                                                                                                                                                                            | [PartnerMetadata](#partnermetadata) |
| **balanceType**  <br>*optional*     | The type of balance.                                                                                                                                                                                                                                                                                                                       | enum ([BalanceType](#balancetype))  |
| **amount**  <br>*optional*          | Total amount of the balance type.                                                                                                                                                                                                                                                                                                          | [Currency](#currency)               |
| **balances**  <br>*optional*        | A list of balances that comprise this balance.                                                                                                                                                                                                                                                                                             | < [Balance](#balance) > array       |
| **asOfDate**  <br>*optional*        | The date for which the ending balance was calculated. This field is present when an `asOfDate` query parameter is provided. Null for point-in-time balance queries.                                                                                                                                                                        | [Date](#date)                       |
| **lastUpdatedTime**  <br>*optional* | The date and time when the balance was last updated, in [ISO 8601](https://developer-docs.amazon.com/sp-api/docs/iso-8601) date-time format. The value is in the marketplace's local time zone. This field is present for point-in-time balance queries (when no `asOfDate` query parameter is provided). Null for ending balance queries. | string (date-time)                  |

<a name="partnermetadata"></a>

### PartnerMetadata

Metadata that describes the seller.

| Name                              | Description                                                                                                                                                                                                                                                           | Schema |
| --------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ |
| **partnerId**  <br>*optional*     | The unique seller identifier.                                                                                                                                                                                                                                         | string |
| **accountType**  <br>*optional*   | The type of account.                                                                                                                                                                                                                                                  | string |
| **marketplaceId**  <br>*optional* | The identifier of the marketplace where the transaction occurred. The marketplace ID is the globally unique identifier of a marketplace. To find the ID for a marketplace, refer to [Marketplace IDs](https://developer-docs.amazon.com/sp-api/docs/marketplace-ids). | string |

<a name="summaryresponse"></a>

### SummaryResponse

The response to the `listSummary` operation.

| Name                          | Description                                                                           | Schema                        |
| ----------------------------- | ------------------------------------------------------------------------------------- | ----------------------------- |
| **summaries**  <br>*optional* | A list of financial summaries.                                                        | < [Summary](#summary) > array |
| **nextToken**  <br>*optional* | A token to retrieve the next page of results. If null, no more results are available. | string                        |

<a name="summary"></a>

### Summary

Contains all information related to the financial summary.

| Name                                   | Description                                                           | Schema                                    |
| -------------------------------------- | --------------------------------------------------------------------- | ----------------------------------------- |
| **partnerMetadata**  <br>*optional*    | Metadata describing the seller.                                       | [PartnerMetadata](#partnermetadata)       |
| **netProceeds**  <br>*optional*        | The net proceeds for the summary period.                              | [Currency](#currency)                     |
| **relatedIdentifiers**  <br>*optional* | Identifiers related to the summary, such as the settlement ID.        | [RelatedIdentifiers](#relatedidentifiers) |
| **breakdowns**  <br>*optional*         | A list of breakdowns that detail how the net proceeds are calculated. | [Breakdowns](#breakdowns)                 |
| **periodStart**  <br>*optional*        | The start date and time of the summary.                               | [Date](#date)                             |
| **periodEnd**  <br>*optional*          | The end date and time of the summary.                                 | [Date](#date)                             |

<a name="errorlist"></a>

### ErrorList

A list of error responses returned when a request is unsuccessful.

| Name                       | Description                                                             | Schema                    |
| -------------------------- | ----------------------------------------------------------------------- | ------------------------- |
| **errors**  <br>*required* | The error responses that are returned when the request is unsuccessful. | < [Error](#error) > array |

<a name="error"></a>

### Error

An error response returned when the request is unsuccessful.

| Name                        | Description                                                              | Schema |
| --------------------------- | ------------------------------------------------------------------------ | ------ |
| **code**  <br>*required*    | An error code that identifies the type of error that occurred.           | string |
| **message**  <br>*required* | A message that describes the error condition.                            | string |
| **details**  <br>*optional* | Additional details that can help the caller understand or fix the issue. | string |

<a name="storename"></a>

### StoreName

The store name associated with the transaction.

*Type* : enum

| Value                         | Description                                   |
| ----------------------------- | --------------------------------------------- |
| **AMAZON\_HAUL**              | Transactions associated with Haul.            |
| **AMAZON\_FBA\_FROM\_ORIGIN** | Transactions associated with FBA from origin. |

<a name="relatedidentifiername"></a>

### RelatedIdentifierName

An enumerated set of related business identifier names.

*Type* : enum

| Value                           | Description                                                                     |
| ------------------------------- | ------------------------------------------------------------------------------- |
| **ORDER\_ID**                   | The `OrderId` that is associated with the transaction.                          |
| **SHIPMENT\_ID**                | The `ShipmentId` that is associated with the transaction.                       |
| **FINANCIAL\_EVENT\_GROUP\_ID** | The identifier that is associated with the transaction's financial event group. |
| **REFUND\_ID**                  | The `RefundId` that is associated with the transaction.                         |
| **INVOICE\_ID**                 | The `InvoiceId` that is associated with the transaction.                        |
| **DISBURSEMENT\_ID**            | The disbursement ID for Amazon's bank transfer.                                 |
| **TRANSFER\_ID**                | The `TransferId` associated with the transaction.                               |
| **DEFERRED\_TRANSACTION\_ID**   | The transaction ID for the related deferred transaction                         |
| **RELEASE\_TRANSACTION\_ID**    | The transaction ID for the related released transaction                         |
| **SETTLEMENT\_ID**              | The identifier that is associated with the transaction's settlement group.      |

<a name="balancetype"></a>

### BalanceType

The type of balance.

*Type* : enum

| Value                       | Description                                                                                                                                                                      |
| --------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AVAILABLE**               | The total balance currently available in the account.                                                                                                                            |
| **RESERVED**                | The reserved balance is sum of Deferred and Account Level Reserved.                                                                                                              |
| **ACCOUNT\_LEVEL\_RESERVE** | Balance reserved as a safety measure to cover potential liabilities such as refunds, chargebacks, or other claims. Based on sales volume, product category, and account history. |
| **DEFERRED**                | The deferred balance is a portion of sales revenue that is temporarily withheld before being transferred to the available balance after a specified period.                      |
| **TOTAL**                   | Overall sum of balances including available and reserved.                                                                                                                        |

<a name="itemrelatedidentifiername"></a>

### ItemRelatedIdentifierName

Enumerated set of related item identifier names for the item.

*Type* : enum

| Value                           | Description                                                                                                 |
| ------------------------------- | ----------------------------------------------------------------------------------------------------------- |
| **ORDER\_ADJUSTMENT\_ITEM\_ID** | An Amazon-defined order adjustment identifier defined for refunds, guarantee claims, and chargeback events. |
| **COUPON\_ID**                  | An identifier for a coupon that is applied to a transaction.                                                |
| **REMOVAL\_SHIPMENT\_ITEM\_ID** | An identifier for an item in a removal shipment.                                                            |
| **TRANSACTION\_ID**             | The transaction ID of the item.                                                                             |